Bug 921022 - New Dashboard charts do not honor column width
New Dashboard charts do not honor column width
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.6
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.7
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 06:30 EDT by Heiko W. Rupp
Modified: 2013-09-03 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHQ 4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:43:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (52.87 KB, image/png)
2013-03-13 06:31 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2013-03-13 06:30:03 EDT
The dashboard chart has a fixed width and does not take column width into account. To see the latest values, one has to maximize the column.

We could either condense the individual bars or add some scroller or display less data points by default.

In the last two cases, the most up-to date data should be visible without user interaction.
Comment 1 Heiko W. Rupp 2013-03-13 06:31:00 EDT
Created attachment 709475 [details]
Screenshot
Comment 2 Mike Thompson 2013-03-18 11:48:58 EDT
Sounds like the fix for this will be to display less bars or add a scroller to portlet widgets where just scaling them will make them look funny (either fat or skinny bars).

I'm inclined to display less bars as the scroll bars are generally not well liked.
Comment 3 Mike Thompson 2013-03-18 11:52:26 EDT
The old portlet charts were able to scale to the area because they were line graphs, which handle the distortions better than bar graphs.
Comment 4 Mike Thompson 2013-04-08 10:12:31 EDT
I have added a smaller cut down charts for portal areas < 600px. The new charts are a fixed 300px and show 20 bars of data. Each bar is the same width and interval (8 min) as the large graphs.


This is now in master with commit id: b224fcc
Comment 5 Heiko W. Rupp 2013-09-03 10:43:01 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.